View Issue Details

IDProjectCategoryView StatusLast Update
0001808SymmetricDSBugpublic2014-07-29 16:50
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.2 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001808: '0000-00-00 00:00:00' fails when initial.load.concat.csv.in.sql.enabled=false and db.treat.date.time.as.varchar.enabled=true
DescriptionThis is the row which is causing this exception (also attached in CSV):
'7', 'NULL', 'Shane', 'Brewer', 'NULL', 'Sha', 'Shane Brewer', '1', 'sg_sbrewer', '', '682fb3b4f153a702029c674cd4a43306', '1234567', 'shane.brewer@sagoss.co.uk', '4', '1', '0', '1', '2012-12-13 10:52:29', '0', '1997-07-27 00:00:00', '0', '0', '0', '0', '2012-07-06 14:33:52', '0', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '0', '0', '0'

2014-07-14 10:05:43,737 ERROR [blink2dev-50] [DataExtractorService] [qtp1696447045-13] Failed to extract batch 49-448
org.jumpmind.db.sql.SqlException: Value '7
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master c8e86484

2014-07-14 11:08:33

chenson

Details Diff
0001808: '0000-00-00 00:00:00' fails when initial.load.concat.csv.in.sql.enabled=false and db.treat.date.time.as.varchar.enabled=true
0001808
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2014-07-14 07:31 chenson New Issue
2014-07-14 07:31 chenson Status new => assigned
2014-07-14 07:31 chenson Assigned To => chenson
2014-07-14 11:08 chenson Status assigned => resolved
2014-07-14 11:08 chenson Fixed in Version => 3.6.3
2014-07-14 11:08 chenson Resolution open => fixed
2014-07-14 12:00 chenson Changeset attached => SymmetricDS trunk r8475
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c8e86484